---
fi:
  activerecord:
    attributes:
      doorkeeper/application:
        name: Sovelluksen nimi
        redirect_uri: Uudelleenohjauksen URI
        scopes: Oikeudet
        website: Sovelluksen verkkosivu
    errors:
      models:
        doorkeeper/application:
          attributes:
            redirect_uri:
              fragment_present: ei voi sisältää osia.
              invalid_uri: on oltava kelvollinen URI.
              relative_uri: on oltava täydellinen URI.
              secured_uri: on oltava HTTPS/SSL-URI.
  doorkeeper:
    applications:
      buttons:
        authorize: Valtuuta
        cancel: Peruuta
        destroy: Tuhoa
        edit: Muokkaa
        submit: Lähetä
      confirmations:
        destroy: Oletko varma?
      edit:
        title: Muokkaa sovellusta
      form:
        error: Hups! Tarkista, että lomakkeessa ei ole virheitä
      help:
        native_redirect_uri: Käytä %{native_redirect_uri} paikallisiin testeihin
        redirect_uri: Lisää jokainen URI omalle rivilleen
        scopes: Erota oikeudet välilyönnein. Jos kenttä jätetään tyhjäksi, käytetään oletusoikeuksia.
      index:
        application: Sovellus
        callback_url: Takaisinkutsu-URL
        delete: Poista
        name: Nimi
        new: Uusi sovellus
        scopes: Oikeudet
        show: Näytä
        title: Omat sovellukset
      new:
        title: Uusi sovellus
      show:
        actions: Toiminnot
        application_id: Asiakasohjelman tunnus
        callback_urls: Takaisinkutsu-URL:t
        scopes: Oikeudet
        secret: Asiakasohjelman salainen avain
        title: 'Sovellus: %{name}'
    authorizations:
      buttons:
        authorize: Valtuuta
        deny: Evää
      error:
        title: Tapahtui virhe
      new:
        able_to: Se voi
        prompt: Sovellus %{client_name} pyytää lupaa käyttää tiliäsi
        title: Valtuutus vaaditaan
      show:
        title: Kopioi tämä valtuutuskoodi ja liitä se sovellukseen.
    authorized_applications:
      buttons:
        revoke: Peru
      confirmations:
        revoke: Oletko varma?
      index:
        application: Sovellus
        created_at: Valtuutettu
        date_format: "%Y-%m-%d %H:%M:%S"
        scopes: Oikeudet
        title: Valtuutetut sovellukset
    errors:
      messages:
        access_denied: Resurssin omistaja tai valtuutuspalvelin hylkäsi pyynnön.
        credential_flow_not_configured: Resurssin omistajan salasana epäonnistui, koska asetusta Doorkeeper.configure.resource_owner_from_credentials ei ole konfiguroitu.
        invalid_client: Asiakasohjelman valtuutus epäonnistui, koska asiakas on tuntematon, asiakkaan valtuutus ei ollut mukana tai valtuutustapaa ei tueta.
        invalid_grant: Valtuutuslupa on virheellinen, umpeutunut, peruttu, valtuutuspyynnössä käytettyä uudelleenohjaus-URI:tä vastaamaton tai myönnetty toiselle asiakkaalle.
        invalid_redirect_uri: Uudelleenohjaus-URI on virheellinen.
        invalid_request: Pyynnöstä puuttuu vaadittu parametri, se sisältää tukemattoman parametriarvon tai on muulla tavoin väärin muotoiltu.
        invalid_resource_owner: Annetut resurssin omistajan tunnnukset ovat virheelliset, tai resurssin omistajaa ei löydy
        invalid_scope: Pyydetyt oikeudet ovat virheellisiä, tuntemattomia tai väärin muotoiltuja.
        invalid_token:
          expired: Käyttöoikeustunnus on vanhentunut
          revoked: Käyttöoikeustunnus on peruttu
          unknown: Käyttöoikeustunnus on virheellinen
        resource_owner_authenticator_not_configured: Resurssin omistajaa ei löytynyt, koska asetusta Doorkeeper.configure.resource_owner_authenticator ei ole konfiguroitu.
        server_error: Valtuutuspalvelin kohtasi odottamattoman virheen, joka esti pyynnön täyttämisen.
        temporarily_unavailable: Valtuutuspalvelin ei voi tällä hetkellä käsitellä pyyntöä joko väliaikaisen ruuhkan tai huollon takia.
        unauthorized_client: Asiakkaalla ei ole valtuuksia tehdä tätä pyyntöä tällä metodilla.
        unsupported_grant_type: Valtuutuspalvelin ei tue tätä valtuutusluvan tyyppiä.
        unsupported_response_type: Valtuutuspalvelin ei tue tätä vastauksen tyyppiä.
    flash:
      applications:
        create:
          notice: Sovellus luotu.
        destroy:
          notice: Sovellus poistettu.
        update:
          notice: Sovellus päivitetty.
      authorized_applications:
        destroy:
          notice: Sovellus peruttu.
    layouts:
      admin:
        nav:
          applications: Sovellukset
          oauth2_provider: OAuth2-palveluntarjoaja
      application:
        title: OAuth-valtuutus tarvitaan
    scopes:
      follow: seurata, estää, perua eston ja lopettaa tilien seuraaminen
      read: lukea tilin tietoja
      write: julkaista puolestasi
